const https = require("https")

var options = {
    url: 'https://26xpr80n21.execute-api.eu-west-1.amazonaws.com/dev/api/v1/fix?',
    headers: {
        'User-Agent': 'request'
    }
};
var settings = {};

module.exports = {

    setOptions: function(cfg) {
    	settings = cfg;
    },

    fix: function(text, arglist) {
    	var url = options.url;

		url += "&text=" + encodeURIComponent(text);
		url += "&arglist=" + encodeURIComponent(JSON.stringify(arglist));
		url += "&token=" + encodeURIComponent('test');
		url += "&settings=" + encodeURIComponent(JSON.stringify(settings));

	   return new Promise(function(resolve, reject) {
	      https.get(url, res => {
	         res.setEncoding("utf8");
	           let body = "";
	           res.on("data", data => {
	             body += data;
	           });
	           res.on("end", () => {
	                resolve(JSON.parse(body));
	           });
	      }).end();
	   });
	}

};
